﻿
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;

namespace ResourceReportBuilder
{
    public class ScriptFileCollection : BindingList<ScriptFile>
    {
        public ScriptFileCollection()
            : base()
        { }

        public ScriptFileCollection(IEnumerable<string> fileNames)
        {
            AddRange(fileNames);
        }

        public void AddRange(IEnumerable<string> fileNames)
        {
            fileNames.ToList().ForEach(item => base.Add(new ScriptFile(item)));
        }
    }
}
